Name:		aMule
Summary:	all-platform eMule like file-sharing program 
Version:        2.0.3
Release:        1
Copyright:	GPL
Group:		Applications/Internet
URL:		http://www.amule.org

Source0:        aMule-2.0.3.tar.bz2
Source1:        amule.xpm

Packager:       deltaHF <deltahf@amule.org>
Distribution:   SuSE Linux 9.3 (i586)

BuildRoot:	%{_tmppath}/%{name}-%{version}-build
#Requires:	wxGTK => 2.4.2
#BuildRequires:	wxGTK-devel => 2.4.2

Prefix:		%{_prefix}


%description
The "all-platform eMule", it is a eMule-like client for ed2k network, supporting Linux,
Free-, Open-, NetBSD, Solaris, MacOSX and Win32.
It was forked from xMule project back in september 2003 (not related to it anymore,
except little bits of old code), to drive it to a brand new direction and quality.
Uses wxWidgets (formely known as wxWindows) for multiplatform support.

%pre
echo "************************************************************************************"
echo "Warning:"
echo "This aMule rpm requires wxGTK-2.6.0 rpm from http://www.amule.org (download page)"
echo "and will not work with wxGTK provided by SuSE Linux (because it is very buggy!)."
echo "If you want to have an unstable aMule and use it with wxGTK provided by SuSE Linux," 
echo "go to http://packman.links2linux.de/ and get it there."
echo "** But beware - we give no support for it!! **"
echo "You may press ctrl-c within the next 10 seconds to abort the installation."
echo -n "Waiting for user... "
for i in $(seq 10 -1 1); do
    echo -n "$i, "
    sleep 1
done
echo " 0, ok, here we go then... Installing ;)"

%prep
%setup -q -n %{name}-%{version}
%if %suse_version == 920
%endif

%build
autoconf

CFLAGS="${RPM_OPT_FLAGS}" \
CXXFLAGS="${RPM_OPT_FLAGS}" \
./configure --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --sysconfdir="%{_sysconfdir}" \
  --mandir="%{_mandir}" \
  --disable-debug \
  --enable-optimize \
  --enable-amulecmd \
  --enable-amule-daemon \
  --enable-amule-gui \
  --enable-webserver \
  --enable-cas \
  --enable-wxcas \
  --enable-alc \
  --enable-alcc \
  --enable-utf8-systray

%{__make}


%install
make DESTDIR="${RPM_BUILD_ROOT}" install-strip
#strip $RPM_BUILD_ROOT%{prefix}/bin/*
echo '%defattr(-,root,root)' > filelist.txt
find $RPM_BUILD_ROOT ! -type d | sed -e "s|$RPM_BUILD_ROOT||" >> filelist.txt

#%{__mkdir_p} "${RPM_BUILD_ROOT}%{_kde3_applnk}/%{_applnk_cat}/"
#%{__mv} amule.desktop "${RPM_BUILD_ROOT}%{_kde3_applnk}/%{_applnk_cat}/"
#rm -f $RPM_BUILD_ROOT%{prefix}/share/applications/amule.desktop
%if %suse_version > 820
%suse_update_desktop_file -i amule Network P2P
%endif
install %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/
echo "/usr/share/pixmaps/amule.png" >> filelist.txt


%clean
rm -rf $RPM_BUILD_ROOT


#%files -f filelist.txt
%files
%defattr(-,root,root)
%doc docs/AUTHORS docs/Changelog docs/ED2K-Links.HOWTO docs/README docs/license.txt
%doc %{_mandir}/*/*
%{_datadir}/locale/*/LC_MESSAGES/*
%{_bindir}/*
%{_libdir}/xchat/plugins/xas.pl
%{_datadir}/*


%changelog
* Wed Jun 15 2005 deltaHF <deltaHF@amule.org>
- update to version 2.0.3 + various changes

* Thu Jun 09 2005 Quentin Denis <quentin@links2linux.de>
- update to version 2.0.2

* Wed May 18 2005 Quentin Denis <quentin@links2linux.de>
- update to the hotfix release, codename 'The Woops, HotFix"" version.'

* Thu May 03 2005 Quentin Denis <quentin@links2linux.de>
- updated to the final release 2.0.0, codename 'The "Let's dedicate this to Tiku" version.'

* Thu Apr 21 2005 Quentin Denis <quentin@links2linux.de>
- enabled the amule-daemon
- added a new desktop-icon (Crystal)

* Wed Apr 06 2005 Quentin Denis <quentin@links2linux.de>
- update to rc8 on SuSE 9.3

* Tue Nov 22 2004 Quentin Denis <quentin@links2linux.de>
- update to rc7 with SuSE's 9.2 wxGTK

* Tue Oct 05 2004 Quentin Denis <quentin@links2linux.de>
- fixed wxWindows problems

* Mon Oct 04 2004 Quentin Denis <quentin@links2linux.de>
- update to version 2.0.0rc6

* Tue Dec 30 2003  deltaHF <deltahf@users.sourceforge.net>
- Removed statically link of libcurl, libssl and libcrypt for SuSE 8.2 and 9.0 rpms

* Thu Dec 18 2003 pure_ascii <pure_ascii@users.sourceforge.net>
- Call strip for the binaries
- Link libcurl, libssl and libcrypto statically
- better detection of wx-config

* Tue Dec 16 2003 pure_ascii <pure_ascii@users.sourceforge.net>
- Added patch to change optimisation to -Os (optimise for size)
- Fixed path for most doc files 

* Sat Nov 29 2003 pure_ascii <pure_ascii@users.sourceforge.net>
- Initial revision
